import { Action } from '@ngrx/store';
export declare const TOGGLE = "[Sidebar] Toggle";
export declare const SET_HAS_SIDEBAR = "[Sidebar] Set Has Sidebar";
export declare const SET_MODE = "[Sidebar] Set Mode";
export declare const SET_COLLAPSIBLE = "[Sidebar] Set Collapsible";
export declare const SET_OPENED = "[Sidebar] Set Opened";
export declare const SET_TITLE = "[Sidebar] Set Title";
export declare const SET_SELECTED_MODULE = "[Sidebar] Set Selected Module";
export declare class Toggle implements Action {
    readonly type = "[Sidebar] Toggle";
    constructor();
}
export declare class SetHasSidebar implements Action {
    payload: boolean;
    readonly type = "[Sidebar] Set Has Sidebar";
    constructor(payload: boolean);
}
export declare class SetMode implements Action {
    payload: string;
    readonly type = "[Sidebar] Set Mode";
    constructor(payload: string);
}
export declare class SetCollapsible implements Action {
    payload: boolean;
    readonly type = "[Sidebar] Set Collapsible";
    constructor(payload: boolean);
}
export declare class SetOpened implements Action {
    payload: boolean;
    readonly type = "[Sidebar] Set Opened";
    constructor(payload: boolean);
}
export declare class SetTitle implements Action {
    payload: string;
    readonly type = "[Sidebar] Set Title";
    constructor(payload: string);
}
export declare class SetSelectedModule implements Action {
    payload: string;
    readonly type = "[Sidebar] Set Selected Module";
    constructor(payload: string);
}
export declare type SidebarActions = Toggle | SetHasSidebar | SetMode | SetCollapsible | SetOpened | SetTitle | SetSelectedModule;
