import { MangolControllersPositionOptions, MangolControllersRotationOptions, MangolControllersScalebarOptions, MangolControllersZoomOptions, MangolControllersFullScreenOptions } from './../../interfaces/config-map-controllers.interface';
import * as ControllersActions from './controllers.actions';
export interface MangolControllersPositionStateModel extends MangolControllersPositionOptions {
    coordinates: number[];
}
export interface MangolControllersRotationStateModel extends MangolControllersRotationOptions {
    rotation: number;
}
export interface ControllersStateModel {
    zoom: MangolControllersZoomOptions;
    scalebar: MangolControllersScalebarOptions;
    position: MangolControllersPositionStateModel;
    rotation: MangolControllersRotationStateModel;
}
export interface State {
    zoom: MangolControllersZoomOptions;
    scalebar: MangolControllersScalebarOptions;
    position: MangolControllersPositionStateModel;
    rotation: MangolControllersRotationStateModel;
    fullScreen: MangolControllersFullScreenOptions;
}
export declare function controllersReducer(state: State, action: ControllersActions.ControllersActions): State;
