import { MeasureDictionary, MeasureMode } from './measure.reducers';
import { Action } from '@ngrx/store';
export declare const HAS_MEASURE = "[Measure] Has Measure";
export declare const SET_DISABLED = "[Measure] Set Disabled";
export declare const SET_TITLE = "[Measure] Set Title";
export declare const SET_DICTIONARY = "[Measure] Set Dictionary";
export declare const SET_MODE = "[Measure] Set Mode";
export declare class HasMeasure implements Action {
    payload: boolean;
    readonly type = "[Measure] Has Measure";
    constructor(payload: boolean);
}
export declare class SetDisabled implements Action {
    payload: boolean;
    readonly type = "[Measure] Set Disabled";
    constructor(payload: boolean);
}
export declare class SetTitle implements Action {
    payload: string;
    readonly type = "[Measure] Set Title";
    constructor(payload: string);
}
export declare class SetDictionary implements Action {
    payload: MeasureDictionary;
    readonly type = "[Measure] Set Dictionary";
    constructor(payload: MeasureDictionary);
}
export declare class SetMode implements Action {
    payload: MeasureMode;
    readonly type = "[Measure] Set Mode";
    constructor(payload: MeasureMode);
}
export declare type MeasureActions = HasMeasure | SetDisabled | SetTitle | SetDictionary | SetMode;
